linphone::LoggingServiceListener Class Reference

Listener for LoggingService. More...

`#include <logging_service_listener.hh>`

Inheritance diagram for linphone::LoggingServiceListener:

## Public Member Functions

virtual LINPHONECXX_PUBLIC void | onLogMessageWritten (const std::shared_ptr< linphone::LoggingService > &logService, const std::string &domain, linphone::LogLevel level, const std::string &message)
| Type of callbacks called each time liblinphone write a log message.

## Detailed Description

Listener for LoggingService.

## Member Function Documentation

## onLogMessageWritten()

virtual LINPHONECXX_PUBLIC void linphone::LoggingServiceListener::onLogMessageWritten | ( | const std::shared_ptr< linphone::LoggingService > & | logService,
|  | const std::string & | domain,
|  | linphone::LogLevel | level,
|  | const std::string & | message )

inline virtual

Type of callbacks called each time liblinphone write a log message.

Parameters

  logService | A pointer on the logging service singleton.
  domain | A string describing which sub-library of liblinphone the message is coming from.
  level | Verbosity LogLevel of the message.
  message | Content of the message.

The documentation for this class was generated from the following file:

- logging_service_listener.hh